package ru.yandex.direct.web.entity.grid.model;

import java.util.Map;

/**
 * Запрос к GraphQl-контроллеру
 */
public class GridRequest {
    private String query;
    private String operationName;
    private Map<String, Object> variables;

    public String getQuery() {
        return query;
    }

    public String getOperationName() {
        return operationName;
    }

    public Map<String, Object> getVariables() {
        return variables;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }

    public void setVariables(Map<String, Object> variables) {
        this.variables = variables;
    }
}
